OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SUN.ConvolutionBorderModes

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetSUNConvolutionBorderModes :: MonadIO m => m Bool
- gl_SUN_convolution_border_modes :: Bool
- gl_WRAP_BORDER_SUN :: GLenum

# Extension Support

glGetSUNConvolutionBorderModes :: MonadIO m => m Bool

Is the SUN_convolution_border_modes extension supported?

gl_SUN_convolution_border_modes :: Bool

Is the SUN_convolution_border_modes extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSUNConvolutionBorderModes` in those cases instead.

# Enums

gl_WRAP_BORDER_SUN :: GLenum